/* DYNAMIC LIGHTWEIGHT SC DENSE CODE. Decompressor -- 
A dynamic word-based byte oriented compressor for text files based on 
(s,c)-Dense Code.

Programmed by Antonio Faria
Copyright (C) 2006  Nieves R. Brisaboa, Gonzalo Navarro, Antonio Faria and Jos R. Param
Author's contact: antonio.fari@gmail.com

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/


/*-----------------------------------------------------------------------
 * Some constants used by the compressor
 ------------------------------------------------------------------------*/
 

#define MAX_SIZE_OF_WORD 32768

//#define MAX_CODEWORD_SIZE 3
//#define C_NEW_VALUE     1048560    //[255][255][0]
//#define C_SWAP_VALUE    1048161    //[255][255][1]
//#define C_SCHANGE_VALUE 1048162;   //[255][255][2]

#define MAX_CODEWORD_SIZE 4
//#define C_NEW_VALUE     268435440    //[255][255][255][0]
//#define C_SWAP_VALUE    268435441    //[255][255][255][1]
//#define C_SCHANGE_VALUE 268435442;   //[255][255][255][2]
//

#define MAX_LEN_VOCABULARY 2113664 

#define INFINITE 2000000000

#define Initial_S_value 255
//#define Initial_S_value 190
